Bug 182349 - databases/tuning-primer fails to install
Summary: databases/tuning-primer fails to install
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-24 16:10 UTC by sirdice
Modified: 2013-11-01 23:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sirdice 2013-09-24 16:10:00 UTC
Fails to install:
===>  Checking if databases/tuning-primer already installed
cp: /portdistfiles/tuning-primer.sh: No such file or directory
*** [do-install] Error code 1

Stop in /usr/ports/databases/tuning-primer.
===>  Cleaning for tuning-primer-1.6.r1
build of /usr/ports/databases/tuning-primer ended at Tue Sep 24 16:49:10 CEST 2013

Fix: 

Looking at the Makefile the error is in this line:
do-install:
  @${CP} ${DISTDIR}/${PORTNAME}.sh \
    ${PREFIX}/bin/${PORTNAME}

This should be:
do-install:
  @${CP} ${DISTDIR}/${PORTNAME}/${PORTVERSION}/${DISTNAME} \
    ${PREFIX}/bin/${PORTNAME}
How-To-Repeat: make -C /usr/ports/databases/tuning-primer install
Comment 1 Edwin Groothuis freebsd_committer 2013-09-25 02:31:34 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-09-25 02:31:34 UTC
Maintainer of databases/tuning-primer,

Please note that PR ports/182349 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182349

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Bryan Drewery freebsd_committer 2013-11-01 23:04:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

Take as I broke it
Comment 4 dfilter service freebsd_committer 2013-11-01 23:05:56 UTC
Author: bdrewery
Date: Fri Nov  1 23:05:48 2013
New Revision: 332420
URL: http://svnweb.freebsd.org/changeset/ports/332420

Log:
  - Fix build after r327580 by using proper source path. [1][2]
  - Convert to staging while here
  
  PR:		ports/182349 [1]
  Reported by:	Remko C. <sirdice@gmail.com> [1]
  Reported by:	marino [2]

Modified:
  head/databases/tuning-primer/Makefile

Modified: head/databases/tuning-primer/Makefile
==============================================================================
--- head/databases/tuning-primer/Makefile	Fri Nov  1 23:00:20 2013	(r332419)
+++ head/databases/tuning-primer/Makefile	Fri Nov  1 23:05:48 2013	(r332420)
@@ -21,11 +21,10 @@ USE_MYSQL=	yes
 
 PLIST_FILES=	bin/${PORTNAME}
 
-NO_STAGE=	yes
 do-install:
-	@${CP} ${DISTDIR}/${PORTNAME}.sh \
-		${PREFIX}/bin/${PORTNAME}
-	@${CHMOD} 755 ${PREFIX}/bin/${PORTNAME}
+	${CP} ${DISTDIR}/${DIST_SUBDIR}/${PORTNAME}.sh \
+		${STAGEDIR}${PREFIX}/bin/${PORTNAME}
+	${CHMOD} 755 ${STAGEDIR}${PREFIX}/bin/${PORTNAME}
 	@${ECHO_CMD} '@exec ${CHMOD} 755 ${PREFIX}/bin/${PORTNAME}' \
 		>> ${TMPPLIST}
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Bryan Drewery freebsd_committer 2013-11-01 23:06:25 UTC
State Changed
From-To: feedback->closed

Fixed!